GNU bug report logs - #55858
28.1; process-async-https-with-delay failure

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ken Brown <kbrown@HIDDEN>; Keywords: moreinfo; dated Wed, 8 Jun 2022 22:05:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55858 <at> debbugs.gnu.org:


Received: (at 55858) by debbugs.gnu.org; 9 Jun 2022 13:07:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 09:07:47 2022
Received: from localhost ([127.0.0.1]:45396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzHt4-0004Tr-OJ
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 09:07:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzHt1-0004TY-3Q
 for 55858 <at> debbugs.gnu.org; Thu, 09 Jun 2022 09:07:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4S/wAUvqQJ1qQ937hrF0cpvIJqjQAFLbrRCbEuApVbY=; b=SU1o14O+6l5eo+GiljZrw7as7u
 iXmQB/kgbnIhfkajFk4wXwb2BV7iLtS85/Z4l2AvAwklst5p7aU57nMZGX2U16X5u1SXONfQiaIiv
 XaXhogP9/t/aVqgw0OCxqDI5/2/zCZBVdmBxCUANcu5TdQcL6JN2MT5jJu3Zubf7aWcI=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzHsr-0008Fx-5c; Thu, 09 Jun 2022 15:07:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>
Subject: Re: bug#55858: 28.1; process-async-https-with-delay failure
References: <7ab5acbf-67a7-2c78-b9d7-eab2d02c7972@HIDDEN>
X-Now-Playing: Prince's _Sign 'O' the Times (7): Live in Utrecht I_: "Take
 The "A" Train-Pacemaker-I Could Never Take The Place Of Your Man (Live In
 Utrecht)"
Date: Thu, 09 Jun 2022 15:07:32 +0200
In-Reply-To: <7ab5acbf-67a7-2c78-b9d7-eab2d02c7972@HIDDEN> (Ken Brown's
 message of "Wed, 8 Jun 2022 18:04:05 -0400")
Message-ID: <87r13y56jv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Ken Brown <kbrown@HIDDEN> writes: > Second, I think it's
 a bug that the test is causing /nonexistent to be > accessed. Maybe it would
 make more sense for the test to be skipped if > the certificate can't be
 verified. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55858
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 55858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ken Brown <kbrown@HIDDEN> writes:

> Second, I think it's a bug that the test is causing /nonexistent to be
> accessed.  Maybe it would make more sense for the test to be skipped if
> the certificate can't be verified.

I'm not sure that test should be in our repertoire at all.  We're pretty
strict about not "phoning home" (because of privacy concerns), and while
this is wholly innocuous in this case, it is surprising that saying
"make check" will inform the people running elpa.gnu.org that you're
doing so.

(And as a practical matter, bugs in external network connections/sites
shouldn't make a test fail.)

I think that test should be removed, or rewritten to be wholly local, so
I've added Mattias to the CC, since he added that test.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55858; Package emacs. Full text available.

Message received at 55858 <at> debbugs.gnu.org:


Received: (at 55858) by debbugs.gnu.org; 9 Jun 2022 11:17:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 07:17:14 2022
Received: from localhost ([127.0.0.1]:45264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzGA6-0003RR-Lv
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 07:17:14 -0400
Received: from mail-bn8nam04on2112.outbound.protection.outlook.com
 ([40.107.100.112]:28737 helo=NAM04-BN8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1nzGA4-0003R7-9X
 for 55858 <at> debbugs.gnu.org; Thu, 09 Jun 2022 07:17:13 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=CgIsITqv97TlbQEryUxcNvPxU+I46m71aMGBbpx4jYWfvTiqhM8nTGo6teyY760IsRf0MAuVsqnpqoX2WgTEqk3P1opknWRCxjiG1YgLeRjjBvQPjhe7Zf9aiD872nqa92qA6rqpu7TnHViODviP1dVsQx9yFZW6pPMCD8kk38dtiNzYV3rC/KQR8i6+ikRRZtPoZyE644DK2VdK/CYY2902pxtx3sHvVJuHcV4qNq8ng+FrNRqgyks1mFp8mTZc/r87/us1bwz0Zy4JUoQSRF/c01e795nwoyBr4kLYBi3znDlYUDqdbwJ0Xx/1HnkE53XUJUDk+yBX0ywdHvfF/Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=OfQRHOrfLv7yf3MehDyso0A68j+a+JT35QFc87SZFlk=;
 b=SUBaKBr/ucVJtGP9A6iSZVlTxBwx2GlAP6WFmOpVXZQ0nkZh/JyYGwAdm2z553TX5EtzHY7zxiYuWrZreO0T2lVDaCB3f1iaCsOinl8wJ+ualBCE6fEgW/hWno1VG6Alg5oJCpB9jV/BSKYMUHvzHE9GK9EkvMwxAuSoOxtGxMh/BURXtcxpRGkrQIpOXe3+rPz6yoZaSLJuOBFoWhv0e0FHJGJuCrKrmcBpxcUsf05vV616ftsRHdj2hmI+wxAJKb93EwVoueMr0sEzxB9iFVI1KM91mZtjyh++LfKgKp0ObKvDN6I46EFMYKnLvtwQkQhEuARh/VAKqqKNwqZeIg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=OfQRHOrfLv7yf3MehDyso0A68j+a+JT35QFc87SZFlk=;
 b=fpYCqwSK/EKiAZ2YPs5XQZWBr/pIiwAr9d1oGj/H1pVnvzmVCn+k5RpiVK7Af43u1A9VzICElatiHJzunGsPGP7oOT5Iqc+1gdrVSzUKnjKCI1TkVO1ob5HPN/Z2bUCmMGrX/qg7LL9vwvaxd0w8IU30WBaIxo2tfutbjYl3vuw=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by SJ0PR04MB7199.namprd04.prod.outlook.com (2603:10b6:a03:29c::13)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5332.13; Thu, 9 Jun
 2022 11:17:04 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::e48c:b440:3098:a050]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::e48c:b440:3098:a050%6]) with mapi id 15.20.5314.020; Thu, 9 Jun 2022
 11:17:04 +0000
Message-ID: <82f91036-7985-b64d-934b-e30ab4514e78@HIDDEN>
Date: Thu, 9 Jun 2022 07:17:01 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#55858: 28.1; process-async-https-with-delay failure
Content-Language: en-US
To: Achim Gratz <Stromeko@HIDDEN>, 55858 <at> debbugs.gnu.org
References: <7ab5acbf-67a7-2c78-b9d7-eab2d02c7972@HIDDEN>
 <t7s4t5$944$1@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <t7s4t5$944$1@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-ClientProxiedBy: BL1P223CA0015.NAMP223.PROD.OUTLOOK.COM
 (2603:10b6:208:2c4::20) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 12ebe738-8dda-4887-8cbc-08da4a0994b4
X-MS-TrafficTypeDiagnostic: SJ0PR04MB7199:EE_
X-Microsoft-Antispam-PRVS: <SJ0PR04MB7199DBD1A2C060C627DD53D4D8A79@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Sy1VTL7mX0sUG9Aq5Ge0Yw5JAdmEThAJ51LADJwmHTOrwUx6aQOpC/Ew5A6lcluwUW2tRsbbNIi8e96cqSsKqAIXsxSvvzW/o/CIegTPBppuRGOQVkj8iKjt8lGqvtf7nNoC5AMiI5CrguLjH8heQ3yiJ+tRuHZ7OLD6BOM11xJ+vlDFfPqC5zBfV61nfe1rY/YuP7japupj8M4vrPQkZCRTzjPsZZT9cbdEMvGgzfs2/uGRhZDqIpDaGeRV2KVCXzhRkU/7K58mcjv4XQvUnfysC6hhsZMXntte4RhJ3kN9JfyfN2pxADBCA7MQdVuVSuZeVa/XYnsvp60NTHvnBwSOPcGpe2jFSclPKpLhfT82ILNCM3rg7tZI60nEPSxtD4Z/Tv6k6C8s+bxh9eK/Qq97b0G/retMz5jAvLxcHKe4J0W3/LgKrv4iImBXi1cmW6XqyzRwrTc9V8qlrrAA5NKQ6jd0Glyoyg7Eyql8cBiQc7sUygphkYQu0OzGCfXyNNCG1gYhjdb51f3lDP32jfY/qGB1Np+ueeoVkKXxqvy4X0zUbSNRty0ye11n8KkBdrKHmMD6O/28H38YU6bGrDEJsBAGj/+dW01qXq52oy6bw/kUjslJeoshvIImFw/QeYIpafRyFkLc5cTITL+bU6isjzEdaOkWt+YXRb4S30abg97HUnjDvnxUPfdFFqUuP4Xqh0AT6boXBBHrZYHCUHi93+4pao4LMLt+F2mm7Rw=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230001)(4636009)(366004)(316002)(6486002)(786003)(2906002)(66946007)(66556008)(66476007)(8676002)(5660300002)(36756003)(4744005)(53546011)(6666004)(31696002)(86362001)(6512007)(6506007)(31686004)(508600001)(2616005)(186003)(38100700002)(8936002)(75432002)(45980500001)(43740500002);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?eTUzcHB0NENOWnd1MGtkS29Lc2t4R3lzWll1Q0xUNWZiS1h1WGtOd0Jnd2JN?=
 =?utf-8?B?WC9YWlcrZjhZd0hSVjFjUFYwQzNmVjVrSGNVSnRHUVdtY0k4UW5rbkppZHVQ?=
 =?utf-8?B?Y21DbVVOWU5oMEVDNVppL3NacDludnBwMUxnZVA4UjBLMEZUeUthR2VERm9F?=
 =?utf-8?B?VU9kNFlSdG5haDQ5TWw3UWpLR1doZWJrV2o1UVJKMHYxc2ZQdWNMeld2MXJv?=
 =?utf-8?B?akVtNnRUWU4zalhvUlFKOUxOSlRsem5LUTJ2Uk9YdDRtcys5RVgwVHpaOCta?=
 =?utf-8?B?eFc4SFI1ZjdYa25oMWZqNm9OcktHRzhCendkNktHSDdvL2FNRWFNUTFyMnBC?=
 =?utf-8?B?M1RUT3hldVVvcURQbFBRaGlMZ1BwRjlTRHRkSjNCSDBLM3BZem52Tjl2Q1FO?=
 =?utf-8?B?aTQ4eDl1RlIwZ1lJSENQendES2szUnJKS2JicmFIcTZVaDdST1BMZlFFc2l4?=
 =?utf-8?B?QWNFd2pOMytKelpDbjhKS2lpbFdpd040UVNIblYwcWZnQWR3QURES0RwVFcy?=
 =?utf-8?B?UFArZHl6dDlFb1cyMUxmYTFCbExJMHNxZ1VBZXpmVlFkR282WkFjRFRjQ09H?=
 =?utf-8?B?bmdCYnEvaEMxME5TWWZkZzN4RWk0cUsxRmFHOEJOMVJ1eEJja0ZmNzZtV2c4?=
 =?utf-8?B?YTcxRnRZOTZUTVRzOGdLNTFra0JvT3JUaUtHQ1VhWXJrL0ZZYWV6aEJhNzJa?=
 =?utf-8?B?YUgwcW91ZlMybHE4QXhGcEVLNmlqZHZQYUpvSFVEd3cyMlpiVEo5clRIUjVu?=
 =?utf-8?B?ZmJRY2dybENLRXI0QXc1Y3JscC9CQ0J6aFdmSkNtZXVkOTNmVjR4N1QyNVNq?=
 =?utf-8?B?akkzTlBPRkhBajJQK0hvNm0vTG5iMTQrNFVLRWk0bG11Qy9sRmhCbVVHbUZm?=
 =?utf-8?B?ZkZ3Zld1anhpdnVqaTZTb2NtK095cDI1c21uNkhVN1FCbnVmeUhvbWlXS0Jk?=
 =?utf-8?B?VXJHU1l6L2tjSStLVE5EKzlrN2l1dGtNNlcxZGNIRStLR0JPMU1xaHZSN1Ny?=
 =?utf-8?B?MEFpczh0Zk40OGtZL1FDeHpKMmNicENCaE56cWtMd2FQb2E0cnRpbEtLa1JU?=
 =?utf-8?B?SXN6dzc5ZjhSY0Y2S3QxSG53YnJSc3ZhMzh2MHdyWGJ6MDIzcWNRVjdZRnVs?=
 =?utf-8?B?ZDNRK2Y2WjM2dzBpMm4yaU1nUEpUQWlzUzZkalZYZFlPYTJXamxsa21OWDlh?=
 =?utf-8?B?U2g1UkY3eGpQUUVXTnp4K0hWNERyeURhdTYrYVhQQlZZb1ppOGZ0azFOaWNY?=
 =?utf-8?B?Wm43WU5jTno4RW5XYjNDWWpjeFVCVDFXaXhNVS9UdUVmUVNMcSt5aWgwRnV0?=
 =?utf-8?B?U2szbDFhMWZheTdLcitNNExWbnJyeDFXeTVmM2daYjVPRmtNY0JkNnpqL25F?=
 =?utf-8?B?Sm85ODBkVGxLSCtzMEd2RHZXdDBEYTRRTjBpMk00UlRBWFpnekVoYWRtTmhB?=
 =?utf-8?B?RjdTcmpBM1h4S3hoT01QSHMwWitFcE80b3lSY3ZxQVhCOUpDaFBrNGV4WWhh?=
 =?utf-8?B?VFBUUUsyV3Nrak91K1I4VDBCc09WVm5yTXhpZWtzY0YxdUQxb24zbzVHcXp5?=
 =?utf-8?B?RFB0R3h4NUhLcmtHNU5EY0NSZlM3ZE9mY29XdUkyZzRWdGJ5VnRCdVpVa0J2?=
 =?utf-8?B?bVJ0Qi9jMVB6NFgvbDZ6VmRqZDF6WWRSWjJaVEFQMDBZYVMyWVdmc0tNNnFM?=
 =?utf-8?B?NmUvL1MyOUVKcHNNRWI1OUtoWm9hbHY1aW53UGVpbVVlUlVNRjc3U2ZhWCti?=
 =?utf-8?B?QVo1SktmWldZTEwxZkx1dzJUejhDeUlyVEJiZUg3c2pOZ3BCdjRoK3VXWldB?=
 =?utf-8?B?VXlRTDFIMENlUVUwWE5UY2REQXJPVEdOTWZ4Rzcvd3k0VVJnV1pRYzdBWWFD?=
 =?utf-8?B?cjN3U1k2cjhVamFYSU1xT0R2TzJvbksxdEJMd3dJUWIxMk1RNitCanROck4w?=
 =?utf-8?B?T2czMUJsUWZha1AySXdXaFpia2ZKdHNHL2tFMVpYTUpDeGV1azVqTHBBcUNH?=
 =?utf-8?B?eUR6S3VQZnJpdnBhTGlvNlNScHo2Zk9rbzFPWnkzZlcxOXhlOWdvRUVRSEJS?=
 =?utf-8?B?b20ycE1QN1QxdisrRXBRVnpWVmFwSmJBdHZzdDEyS2hMU1VyZUtWZnlTMUMr?=
 =?utf-8?B?WkVsRHpQSXh5dllHWjg1Z0RkZE9LWnArUVF4MmJQdStiUy94M1hsUUE3N3A1?=
 =?utf-8?B?TW5YMzVYNXpIN1FlMFlZZUIyQ0FJUThmUDFHcFpKa2l6NmoyTCt4TVpzejhF?=
 =?utf-8?B?NlNzSzRKNTFmZVArNWlVWG92UDFOYXV2bXA0MkFKMkRrWHk3SllEMVowNlZU?=
 =?utf-8?B?ZnFoTUI2cWtiNXl6TDVybUxQRk9NVWJ0WnEycUJHQ25JNG9DVFJiVHJYL2pD?=
 =?utf-8?Q?tlC8ur2kKD3ohBZuFsPmsfCcRKMgJjZ2NNtmk4mU5+cTq?=
X-MS-Exchange-AntiSpam-MessageData-1: U36vxERpaoAu9A==
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 12ebe738-8dda-4887-8cbc-08da4a0994b4
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 09 Jun 2022 11:17:03.9336 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: 11LUbl2hxg2rvwXQjD+f0nQPEgu/OnU9/9MCHCzw5st/byKm+SG+WQ+6Yqupa3xt4qeimQOeupmdEmQXWtKFzQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SJ0PR04MB7199
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55858
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/9/2022 2:44 AM, Achim Gratz wrote:
> Am 09.06.2022 um 00:04 schrieb Ken Brown:
>> There are two issues here.  First, there's obviously something I should
>> do on my system so that the TLS certificate for elpa.gnu.org is
>> trusted.  I know nothing about TLS certificates and would appreciate
>> help here.
> 
> Install ca-certificates-letsencrypt perhaps?

That fixed it.  Thanks!

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55858; Package emacs. Full text available.

Message received at 55858 <at> debbugs.gnu.org:


Received: (at 55858) by debbugs.gnu.org; 9 Jun 2022 08:31:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 04:31:04 2022
Received: from localhost ([127.0.0.1]:44918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzDZI-0004in-I6
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 04:31:04 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:38827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1nzDZF-0004iE-J3
 for 55858 <at> debbugs.gnu.org; Thu, 09 Jun 2022 04:31:02 -0400
Received: by mail-wm1-f52.google.com with SMTP id
 m39-20020a05600c3b2700b0039c511ebbacso5529149wms.3
 for <55858 <at> debbugs.gnu.org>; Thu, 09 Jun 2022 01:31:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=hUgeV/FEP5sZ3FE3rneKBkP8/jPbpAKUnZq213YBcXM=;
 b=pGGTVXSG+3zT8kirzGABRmtwlOna0g3N+8ocL1jS3DAmE9T9ICNLJ5YMlLXbD04z6+
 LY0UrQw4q2KiMBlAkpNh8XHMt57oM+t437PAjru92aVD0yGw97wrNgfhQNyhokLmN4sG
 3Ss2FNxmNeQO7IJRcEluZv7l2dz4Lc/moA4+UADcgWA/PkPXrvb7yOxWncBOfYTm/LKX
 AlK7xRET69f5ZEgQONfSvrVABadkaDqXB9GZH1rnRcE6iump/t9iYDKVLMVbri0PYgEp
 lrAFFwaOHVdW6+C5XuSV316QXkhc62Zk1yBRiUJgVFrGSX5xCpG3FE2/DEAFgbcJyJqd
 bT8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=hUgeV/FEP5sZ3FE3rneKBkP8/jPbpAKUnZq213YBcXM=;
 b=MnAN97utkT1+k6seo5W/VJ0HqY5h9G9KrCXUs8dNM46XcgsOckAoOVds8HcgeqcCIb
 KjySf741wDZW0reRRki94u/J1BSjE04dsXVn1f9QWDdsTaFY3hrUa3WJMsbkwK0W1sdm
 mNLiuVTv0em4bZS0qRRFqljpS+cpX6Dr1s8bggkkuJlzeuOcq2cB/gsooGcHQiFS9kX6
 eld6qAad8lr8tcND08/FDjdoAC2OAhC0czuyxQWCGmbelFE+cG+YuTiC1zwuzM2vbZMl
 5HdGoQBHTF5wfv3DMgyL01uSidvd9iJ7mLyyEuShDy/v2WUxpr7MVciF9+nfcbIMAbbd
 q3tg==
X-Gm-Message-State: AOAM531oyra6Ezxe6+lfx5lQaHAbJfuD3bn+bfIkiWaBmF1nmU77Ggon
 xS0XD22Yyr6d3WCC2jT17w6A111ACOY=
X-Google-Smtp-Source: ABdhPJyhS8npXyMyqxj2ii09t6RY9+vfKih2hQhemWGQ2AzV/uNojcgRh7OHmZouxU1pWrCEZesXkg==
X-Received: by 2002:a05:600c:1d05:b0:397:6fd1:6959 with SMTP id
 l5-20020a05600c1d0500b003976fd16959mr2216481wms.202.1654763454789; 
 Thu, 09 Jun 2022 01:30:54 -0700 (PDT)
Received: from rltb ([2a01:e0a:3f3:fb50:5cbc:89b2:9d48:3fdb])
 by smtp.gmail.com with ESMTPSA id
 n20-20020a7bc5d4000000b0039aef592ca0sm26538003wmk.35.2022.06.09.01.30.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 09 Jun 2022 01:30:53 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#55858: 28.1; process-async-https-with-delay failure
References: <7ab5acbf-67a7-2c78-b9d7-eab2d02c7972@HIDDEN>
 <83mtem4db9.fsf@HIDDEN>
Date: Thu, 09 Jun 2022 10:30:52 +0200
In-Reply-To: <83mtem4db9.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 09 Jun
 2022 08:26:50 +0300")
Message-ID: <877d5q2q83.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55858
Cc: 55858 <at> debbugs.gnu.org, Ken Brown <kbrown@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 09 Jun 2022 08:26:50 +0300, Eli Zaretskii <eliz@HIDDEN> said:
    >> There are two issues here.  First, there's obviously something I sho=
uld
    >> do on my system so that the TLS certificate for elpa.gnu.org is
    >> trusted.  I know nothing about TLS certificates and would appreciate
    >> help here.

    Eli> Not sure about Cygwin, but in general on MS-Windows GnuTLS uses the
    Eli> system certificate store to verify certificates.  The particular
    Eli> problem above should be solved by upgrading GnuTLS and perhaps also
    Eli> updating the system certificate store (which should be in general
    Eli> always up to date, but I don't know how that system is maintained).

This might be the Let's Encrypt cross-signing certificate expiry
issue, which is fixed in GnuTLS >=3D 3.6.14 See eg
<https://blog.germancoding.com/2021/04/16/lets-encrypt-and-expired-root-cer=
tificates/>

    Eli> OTOH, if Cygwin GnuTLS uses the Posix mechanism of certificate sto=
res
    Eli> on disk files, then upgrading the certificate files.

If I=CA=BCm right, it=CA=BCs a problem in GnuTLS, not an issue with the
certificate store.

Alternatively, we could just let-bind `network-security-level' to 'low
in that test, which effectively disables the checking.

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55858; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jun 2022 06:45:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 02:45:13 2022
Received: from localhost ([127.0.0.1]:44802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzBuq-0001sY-JN
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 02:45:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:58518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1nzBuj-0001sI-0c
 for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 02:45:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43966)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1nzBui-0000Pm-Ia
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jun 2022 02:45:04 -0400
Received: from ciao.gmane.io ([116.202.254.214]:36240)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1nzBug-0000M0-GU
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jun 2022 02:45:04 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1nzBud-0003nw-BM
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jun 2022 08:44:59 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Achim Gratz <Stromeko@HIDDEN>
Subject: Re: bug#55858: 28.1; process-async-https-with-delay failure
Date: Thu, 9 Jun 2022 08:44:52 +0200
Message-ID: <t7s4t5$944$1@HIDDEN>
References: <7ab5acbf-67a7-2c78-b9d7-eab2d02c7972@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.10.0
In-Reply-To: <7ab5acbf-67a7-2c78-b9d7-eab2d02c7972@HIDDEN>
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_00=-1.9, FORGED_MUA_MOZILLA=2.309,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, NICE_REPLY_A=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Am 09.06.2022 um 00:04 schrieb Ken Brown:
> There are two issues here.  First, there's obviously something I should
> do on my system so that the TLS certificate for elpa.gnu.org is
> trusted.  I know nothing about TLS certificates and would appreciate
> help here.

Install ca-certificates-letsencrypt perhaps?

-- 
Achim.

(on the road :-)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55858; Package emacs. Full text available.

Message received at 55858 <at> debbugs.gnu.org:


Received: (at 55858) by debbugs.gnu.org; 9 Jun 2022 05:27:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 01:27:05 2022
Received: from localhost ([127.0.0.1]:44691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzAhF-00088u-0Q
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 01:27:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nzAh9-00088O-QB
 for 55858 <at> debbugs.gnu.org; Thu, 09 Jun 2022 01:27:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48390)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nzAh4-0005py-7V; Thu, 09 Jun 2022 01:26:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=KDyXo5GGY64gThaDtG7RVWNSHBV2TlB/Ud+1QBYEsnk=; b=Pg1K8DnBxrM2
 6WX2puoVsLeRcpTHrqPkMfemrio8EEcFGV8QTs4uL0LKl/XNLL2fL22s/b79wusyHgKaqtbkz5SDo
 LurQ4EAd71nI/FQ/NkkQHA2r9zbYiPBwRsCK+EQJi9ACJGtdBokJ6RJbnr2ZDnW1MF9t05H60cuDN
 hfQgzUFPhG5LLsSyB5UEpAAzd5/lA+SiQ6r5eP8LtIGMgm1lTzF12lVdmPyGhoC+1ntQ5Wlz3l0dx
 s/v7Tg3o4rzu0LwmB63WYpgk3ilrg7AJOj3RiHKYKcaeZThaxX4K6hq3+LEB5nB8Xg+sdigRLqFNS
 W7PSBFt/rpDaQgyKX4Q8uA==;
Received: from [87.69.77.57] (port=1162 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nzAh3-0003vs-MS; Thu, 09 Jun 2022 01:26:54 -0400
Date: Thu, 09 Jun 2022 08:26:50 +0300
Message-Id: <83mtem4db9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <7ab5acbf-67a7-2c78-b9d7-eab2d02c7972@HIDDEN> (message from
 Ken Brown on Wed, 8 Jun 2022 18:04:05 -0400)
Subject: Re: bug#55858: 28.1; process-async-https-with-delay failure
References: <7ab5acbf-67a7-2c78-b9d7-eab2d02c7972@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55858
Cc: 55858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 8 Jun 2022 18:04:05 -0400
> From: Ken Brown <kbrown@HIDDEN>
> 
> process-async-https-with-delay in test/src/process-tests.el fails on my
> Cygwin system when run via 'make check' (but not when run via 'emacs
> -batch -l /path/to/test/src/process-tests.el -f
> ert-run-tests-batch-and-exit').  By adding 'TEST_INTERACTIVE=yes' to the
> make invocation, I traced this to a certificate problem together with
> the fact that HOME is set to /nonexistent during 'make check'.
> 
> In more detail, if I run
> 
> make -C test process-tests SELECTOR='process-async-https-with-delay' 
> TEST_INTERACTIVE=yes
> 
> then emacs starts and shows me the following in the *Network Security
> Manager* buffer:
> 
> Certificate information
>    Issued by:          R3
>    Issued to:          CN=elpa.gnu.org
>    Hostname:           elpa.gnu.org
>    Public key:         RSA, signature: RSA-SHA256
>    Session:            TLS1.3, key: ECDHE-RSA, cipher: AES-256-GCM, mac: AEAD
>    Security level:     Medium
>    Valid:              From 2022-05-27 to 2022-08-25
> 
> The TLS connection to elpa.gnu.org:443 is insecure
> for the following reasons:
> 
> * certificate has expired
> * certificate could not be verified
> 
> A minibuffer prompt asks me if I want to continue connecting, and if I
> select 'always', I get a "No such file or directory" error for
> /nonexistent/.emacs.d/network-security.data.  Of course,
> ~/.emacs.d/network-security.data does exist and contains the appropriate
> information about elpa.gnu.org:443 from previous selections of 'always'
> outside of 'make check'.
> 
> There are two issues here.  First, there's obviously something I should
> do on my system so that the TLS certificate for elpa.gnu.org is
> trusted.  I know nothing about TLS certificates and would appreciate
> help here.

Not sure about Cygwin, but in general on MS-Windows GnuTLS uses the
system certificate store to verify certificates.  The particular
problem above should be solved by upgrading GnuTLS and perhaps also
updating the system certificate store (which should be in general
always up to date, but I don't know how that system is maintained).

OTOH, if Cygwin GnuTLS uses the Posix mechanism of certificate stores
on disk files, then upgrading the certificate files.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55858; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jun 2022 22:04:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 08 18:04:18 2022
Received: from localhost ([127.0.0.1]:44498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nz3mk-0002u4-2w
	for submit <at> debbugs.gnu.org; Wed, 08 Jun 2022 18:04:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:48570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1nz3mh-0002tv-AT
 for submit <at> debbugs.gnu.org; Wed, 08 Jun 2022 18:04:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36070)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kbrown@HIDDEN>)
 id 1nz3mh-00006i-5F
 for bug-gnu-emacs@HIDDEN; Wed, 08 Jun 2022 18:04:15 -0400
Received: from mail-mw2nam12on2113.outbound.protection.outlook.com
 ([40.107.244.113]:2727 helo=NAM12-MW2-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kbrown@HIDDEN>)
 id 1nz3me-0004Eg-MQ
 for bug-gnu-emacs@HIDDEN; Wed, 08 Jun 2022 18:04:14 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=mlogBF6fYDqrYb3EsdNEjXFqDbTgMY4TCQoL1AwpOJ2v8wvy/W5FFNGaHbOR26t4to/w8jXOo68OioZv41gPPGNIJudeD8G+BbysbfgVO4Qre5UihVjec6cbvTH+Eb9V38HyynIxKgZCMF9n0/zHGDIaCzJxZAP4/hpNLMKAatayRTodeY2rKZcK3oqkulQ1ZSnFZJht2yXpL4IMG5ebV2NbNxKPwW8ca5ZfKT09FlZLNdAqCC13Ye8WJezilLOR+E9eAX/BxeP7AUjNypXiLWE0FjE1UGMTcnN6XQlunfDz3P65Bct/gzi15tv2Dkpov7TEKMtqLs1pIfPacUFqzA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=MkuPVskjab1Cu6+09Aua5LPwVwi4TW5fhItxyo8U5vY=;
 b=F0+GkLQSP3rBwBl5zlbYsY16V5hmEf8/GrK0rfUDoFLpWWDIRcrX/7TOAdDuRcfmqtHrI6HeJtRvuxCEhYeGPz4sskCyvAatwNbPO4o3h5KRbgteemJ5D9UaN4AvOAH5OByQk5hMuaBMcGNKv8AyEDGs+7YLMzYg0Grm9eHSgB23+Xc6XhvcymrcqZLUvUQc7Jo6NwI8msFgMy6RmQOj62miYPxBnQelvciuD7zq/s3DpPYZdNbxn3bJYWnO+l09VG3J5442jvkA3abxoghtv+3nV10dBEeUlkYUF7OlH4y+HQGLJDN9FBEWlEA/bEQd+TJH1D/hZR9VRbQH/FoySA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=MkuPVskjab1Cu6+09Aua5LPwVwi4TW5fhItxyo8U5vY=;
 b=fE9TMPOpDjbZWvW3k6nnrqiebvdpoH4eT7JnA1MBo5bvkYRWW9h/IUNNz3Sn0ua/AQ/IJgNRNKkNF2I1Su4e9jyuneFEBpKKJi8/Nb9rJxcPMrMh1Y566Ly0m8QA0tTXq1wyYuAltWER2HRfyZ+d5Uu5KtlA8Rnk7ZErDmtj5BE=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by SN6PR04MB4414.namprd04.prod.outlook.com (2603:10b6:805:39::13)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5314.15; Wed, 8 Jun
 2022 22:04:07 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::e48c:b440:3098:a050]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::e48c:b440:3098:a050%6]) with mapi id 15.20.5314.019; Wed, 8 Jun 2022
 22:04:07 +0000
Message-ID: <7ab5acbf-67a7-2c78-b9d7-eab2d02c7972@HIDDEN>
Date: Wed, 8 Jun 2022 18:04:05 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
To: bug-gnu-emacs@HIDDEN
Subject: 28.1; process-async-https-with-delay failure
Content-Language: en-US
From: Ken Brown <kbrown@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: MN2PR16CA0064.namprd16.prod.outlook.com
 (2603:10b6:208:234::33) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: b8957473-df52-4c51-6812-08da499acf21
X-MS-TrafficTypeDiagnostic: SN6PR04MB4414:EE_
X-Microsoft-Antispam-PRVS: <SN6PR04MB4414AA9D9FDD18A19AA32E95D8A49@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: a/5X/j2o1TtpWsz8h+eHCg7rPgFeD1n+KcME2BZF8iB5olAKlp26IT5arIgNiv4i62Y8H440WnlYnBDa8ag9q/GmJTDj7td+IHy9+OBrQQPeZUT6FxoK7isu8bh9EQzIvPZNEJKhAAP1TU5J7E0/x2jOIr3TZCWD4GECQsEjA8bhJAmRsiezoQPjYIYVwNmqlelhzvHLqNHbLF1YNvXgopQDIPulImp16WNmu4alqCQ6YSz+KEciefymm3wkePPakSTr4xu7/LaivaftyszHw9XPz+wsc8jra0Ye7pXbIiW9ocIISWKAwSg0Y0URmdwfpnEXcxMTXEvMYYYe21D2qExxZY1QXVKOHg+8csarFgF/hHjyZbsdx634bURvZJ1az80vrH4GakWyeE+swFoNWZa2xtLLnltRgic4yT3IcnawnIcadNc1CeVezvc47YuM1iublKvq9anJvg+fTMAF/LNI1MIaIjzvdJud3r/5vUlzgLsfmQDpOqZ/nu9ro530lvpevj4G8Uq8D3l4L8MtsKe2eptdFtV5ij0B9F1+3qBFy8J8JedC8cEWynw192oUuxTlV10PCXJKzAtvnTPKEmM7VaqB/QMhEw/8RAufKT/eoa8JDUYckYE4KnGoPCQZIyAb+eIIoBK+Rzxg4tKWlyN2+easHXyDpsJAJQzEMery46ImvThIr3QolMuUdgZK+bsMPK6wFJgAS57qy4hlyM6UlHuWbksw+3o0NcpjiyA=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230001)(4636009)(366004)(316002)(786003)(66476007)(86362001)(8936002)(6506007)(2616005)(6916009)(66556008)(508600001)(38100700002)(83380400001)(6486002)(5660300002)(2906002)(66946007)(186003)(75432002)(36756003)(6512007)(8676002)(31686004)(31696002)(45980500001)(43740500002);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?dURJMFB0cU9zSFQvQkNHNXZFbk1LNk5tY2Z5czNVcSsweUo0QVliaVM3ZGZa?=
 =?utf-8?B?eWFGcHFjclF3L1RJdUZlWThic3FWanprK0R6OXMzSkZXS3AvbnJZL1UyVUIx?=
 =?utf-8?B?STg5SE8vY3BKdGFHK05oQ1JubkphdnFSaXBCNk4xTmtMNnZXdFYreU1RcGhP?=
 =?utf-8?B?aDNpWmVOV0JCY0R2SURqRTVNZ2Q4a2EwYW1OdDlkMDlMaDVNQlg2N3BONzZx?=
 =?utf-8?B?WFVkR0lETS9VcFE5MEVMbUJXdnA5TXo5eXJJdkk2TGY2WmZVTTA5Y3NjOThZ?=
 =?utf-8?B?VGRwMXhRVmFoM2lSaUVFMnZuek4xZjdpMTJKS3paOFo4YWZNQ3BWZWQ0eXlS?=
 =?utf-8?B?TzJ2QlYyc2Q4Z1ZBa2lDRldpVlRRWW0ramVrNEdPOUFsREg5V0VqL1NrUHlj?=
 =?utf-8?B?eWt5QlNXSmgwMHdxVGJ5V1VTYXE2SS9zWFNoRVo2TlFGRTRIVTNVa09IbXJT?=
 =?utf-8?B?cWtUTjFmRDVpb3lJcUw2ejNCTU5ha1B3aHpjZWpFcnhuTCtaYStGOHN3eEt4?=
 =?utf-8?B?U0pOdlE4OGxDV2VZSkZUUEtPNThtRzQ4SW5NaGt5cEg5MisrTE04dlhQKytB?=
 =?utf-8?B?WU1Lc0wvMHVSdjliYmU5by82cXFXTTRPcFVnTjIvK3JhelRMUU5jU2liQzFH?=
 =?utf-8?B?NkdXWUpQeXVCdG5SNHpKalhlU2RicTRBNmpVc3N3YkUvTGk5YSsreFlnVWhk?=
 =?utf-8?B?RGxnVnhPYkFsRzZOTHl2NzN3VnZPeXZmMmZYYVRIT0kyUXU0c0UxQW43VnVq?=
 =?utf-8?B?Q2t3Tlh2T1M1UU0vMFVURzhZNE94aHRjeVJ2VG9HZ2NRRDYxbSs5djEyYlh2?=
 =?utf-8?B?cGZSNm5nUXBwSm9qZkRNakFaRVpNK2dJTXorRXZybk45aFBiRUNFOGFHdFky?=
 =?utf-8?B?dzVaMGFONDZxUWtENEtyMkRyRzNrMzZCcnkrNjRYWW4xeXZXU1hUSmhMcEsr?=
 =?utf-8?B?V0ROSkJpa3pEdnVGU1puZERuWE9EMnJ5Nll2dUNUUlFMR2VLeGk0eFhkcTd4?=
 =?utf-8?B?Q2h2K3hNWjNWT0ptd2NXMnJPZGtta2ZIbWF6MFhBQkZsUVl0aW1pNW1UdUJZ?=
 =?utf-8?B?eFZtRXhyRHliWXNFajdwMG8xQW42Wmxia0g3Y0NsWkpxamtMZFovTDlXbUJF?=
 =?utf-8?B?MnZ4alJUQ1pQK2ZycG83TlM0ODMzcHFHb0J4WGM1YmNLaStVc2lHaDFnYmhI?=
 =?utf-8?B?T1dNeENSYVFvdFNUekYvWlRhMjRqMzhZQUozRFJGVFNkUDl4Y0Yza2F1UnVS?=
 =?utf-8?B?amd3K2VGZmduRTl1WkFPN0hTbTlHNjFLOXJCb1dtdDJrS0YrOFhlcHpMVVFq?=
 =?utf-8?B?S0llYy9uVDcvUzZVQVg3cU14bTVsZXM2VDdLUDVWZU5XUWhUNVk1ckhQcGRn?=
 =?utf-8?B?U1h5T3UwRzFIQXNuMUZWaEtHTzV2dnVjemJUTW1aUnJGOEJPSlNrejdGS09a?=
 =?utf-8?B?QnBwTlNGR1MvT21LUW0wbFkzTUovREEvQkp3YmthaHhocVVjRGZnZXV4VWxV?=
 =?utf-8?B?dTVpNVpGaG9WZHlWaDVBbmpHNkdQUzExbVJheFNocnVZTkZ4bEgzcUJlQlkw?=
 =?utf-8?B?YjBBaGt5M01uVHZyN085ZkhTRy9SbEVLVlNTZzY0UC8vN2QxTW9nL2xGZzV0?=
 =?utf-8?B?Sk1naG5HQXVQZDlUZFRWZ2lZZ1o4NkMxZUk3dlNod2szRHVZYlRkWVRnUWlI?=
 =?utf-8?B?enZqSHpaWFl3MmlUQmdsaEVNM2xDSkczVGpTaHhHSkEwOEhVRlk2dTBJeE9m?=
 =?utf-8?B?NDFLa3RJQzRBSzVMbkZmblllNWU4eU0ySlJQL2k1d21Wb0R0TXpRUTZHbXlH?=
 =?utf-8?B?VnNJeW9ySm5mTFV1eTNzVGNxaFpMWk8vNHk3djNaVXFJd05BOU1PdGoyc0FF?=
 =?utf-8?B?c2xnQ05nbGM5UjE2M0FlUW9meVo2OXRPeFg2RCtrMWRWVlY1U1l3UkE0OW5P?=
 =?utf-8?B?QllBMHNkRVczYVE3dlBSTTBGeHNQTEVSakxVZmNuWEhZLzBVbDA3L3c2QWJD?=
 =?utf-8?B?akxxbGJ2aWhnRXVRcW90Q0kxMTlPaUVHTEJQdVYvQnRRSlRtYU8xcnp5YS9D?=
 =?utf-8?B?a0s5bVJOYTlvYnNGc1p1Q0ppeXdWMlN2aWhNeTdZZ3RucER5bDhkZHhnd1Ew?=
 =?utf-8?B?NUV2UzRYMVVUYmhNRzdCSVVoYmxpUXhBNXhSSk4za2xsbkY5VXVMeGRHNW50?=
 =?utf-8?B?RHhhTk91dzd0Tmg5U3U2NzVuWjY0MHBrOXROUzZscTl4cm4wNWVwenpKRDEv?=
 =?utf-8?B?MnVYWVBzU2JKS2Y0VEpMaFg0QXdoSDdmclp3WHpZQ0d5b3h6OHFaWGJ2UUM4?=
 =?utf-8?B?NnpjZWljaE9WdThFU3RUeW8xRFBYWmdSUEVOV2xHcSs3RzJyUUlJeDc0NVN1?=
 =?utf-8?Q?XwnJmGCzAySk8qIRsweKvQiWmlEpV9onaoVo0zmXLCVoY?=
X-MS-Exchange-AntiSpam-MessageData-1: dKuBkB90srHUaw==
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: b8957473-df52-4c51-6812-08da499acf21
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 08 Jun 2022 22:04:07.7085 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: Oovm6sq/OKVcVTi6AEqxnAdOijFDV9URkW1IWdPPh6ejWjgCyVr2LMhOgTJ2Zl4nD3Modo2PdF5B9pSiAt3IAw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR04MB4414
Received-SPF: pass client-ip=40.107.244.113; envelope-from=kbrown@HIDDEN;
 helo=NAM12-MW2-obe.outbound.protection.outlook.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

process-async-https-with-delay in test/src/process-tests.el fails on my
Cygwin system when run via 'make check' (but not when run via 'emacs
-batch -l /path/to/test/src/process-tests.el -f
ert-run-tests-batch-and-exit').  By adding 'TEST_INTERACTIVE=yes' to the
make invocation, I traced this to a certificate problem together with
the fact that HOME is set to /nonexistent during 'make check'.

In more detail, if I run

make -C test process-tests SELECTOR='process-async-https-with-delay' 
TEST_INTERACTIVE=yes

then emacs starts and shows me the following in the *Network Security
Manager* buffer:

Certificate information
   Issued by:          R3
   Issued to:          CN=elpa.gnu.org
   Hostname:           elpa.gnu.org
   Public key:         RSA, signature: RSA-SHA256
   Session:            TLS1.3, key: ECDHE-RSA, cipher: AES-256-GCM, mac: AEAD
   Security level:     Medium
   Valid:              From 2022-05-27 to 2022-08-25

The TLS connection to elpa.gnu.org:443 is insecure
for the following reasons:

* certificate has expired
* certificate could not be verified

A minibuffer prompt asks me if I want to continue connecting, and if I
select 'always', I get a "No such file or directory" error for
/nonexistent/.emacs.d/network-security.data.  Of course,
~/.emacs.d/network-security.data does exist and contains the appropriate
information about elpa.gnu.org:443 from previous selections of 'always'
outside of 'make check'.

There are two issues here.  First, there's obviously something I should
do on my system so that the TLS certificate for elpa.gnu.org is
trusted.  I know nothing about TLS certificates and would appreciate
help here.

Second, I think it's a bug that the test is causing /nonexistent to be
accessed.  Maybe it would make more sense for the test to be skipped if
the certificate can't be verified.

Ken




Acknowledgement sent to Ken Brown <kbrown@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55858; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 9 Jun 2022 13:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.